package parser;

/**
 * Grammar non-terminal -- N ::= id
 */
public class N implements F {
    /**
     * Id object
     */
    private NumToken _num;

    /**
     * Constructor for the N grammar non-terminal.
     *
     * @param num num token
     */
    public N(NumToken num) {
        _num = num;
    }

    /**
     * Return a string representation.
     *
     * @return string representation
     */
    public String toString() {
        return _num.toString();
    }
}

